Subject: Re: [PATCH net-XXX] SUNRPC: Add an IS_ERR() check back to where it was

From: Simon Horman <[email-masked]>
Date: Fri, 13 Oct 2023 14:34:35 +0200

On Wed, Oct 11, 2023 at 11:00:22AM +0300, Dan Carpenter wrote:
> This IS_ERR() check was deleted during in a cleanup because, at the time,
> the rpcb_call_async() function could not return an error pointer.  That
> changed in commit 25cf32ad5dba ("SUNRPC: Handle allocation failure in
> rpc_new_task()") and now it can return an error pointer.  Put the check
> back.
> 
> A related revert was done in commit 13bd90141804 ("Revert "SUNRPC:
> Remove unreachable error condition"").
> 
> Fixes: 037e910b52b0 ("SUNRPC: Remove unreachable error condition in rpcb_getport_async()")
> Signed-off-by: Dan Carpenter <[email-masked]>

Thanks,

I've reviewed the logic of this commit along with the description
and it matches up in my mind.

Reviewed-by: Simon Horman <[email-masked]>